uses
    testlib, sysutils;
var
    ja, pa: string;        
begin
    ja := ans.readstring;
    pa := ouf.readstring;

    if (pa <> 'OK') and (pa <> 'Wrong answer') then
        quit(_pe, '"OK" or "Wrong answer" expected, "' + pa + '" found');

    if ja <> pa then
        quit(_wa, 'expected: ' + ja + ', found: ' + pa);

    quit(_ok, ja);
end.